Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.4.1 generated on May 30 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.event
Class TransactionEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--kodo.event.TransactionEvent

All Implemented Interfaces:
  Serializable

public class TransactionEvent
extends EventObject

A transactional event on a persistence manager. The event source is the `KodoPersistenceManager` whose transaction state changed.

Since:
  3.0
See Also:
  Serialized Form

Field Summary
`static short` | `AFTER_BEGIN` Event type signifying that a transaction has just begun.
`static short` | `AFTER_COMMIT` Event type signifying that the transaction has committed.
`static short` | `AFTER_FLUSH` Event type signifying that changes have been flushed to the datastore.
`static short` | `AFTER_ROLLBACK` Event type signifying that the transaction was rolled back.
`static short` | `AFTER_STATE_TRANSITIONS` Event type signifying that all state transitions have been made.
`static short` | `BEFORE_COMMIT` Event type signifying that the transaction is about to be committed.
`static short` | `BEFORE_FLUSH` Event type signifying that changes are about to be flushed to the datastore.

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`TransactionEvent(KodoPersistenceManager pm, short type, Collection trans, Collection insertClasses, Collection updateClasses, Collection deleteClasses)` Constructor.

Method Summary
`Collection` | `getAddedClasses()` Return the unmodifiable the set of classes of persistence capable objects that were created in the transaction.
`Collection` | `getDeletedClasses()` Return the unmodifiable the set of classes of persistence capable objects that were deleted in the transaction.
`Collection` | `getTransactionalObjects()` Return the unmodifiable set of persistence capable objects participating in the transaction.
`short` | `getType()` Return the type of event.
`Collection` | `getUpdatedClasses()` Return the unmodifiable the set of classes of persistence capable objects that were modified in the transaction.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### AFTER_BEGIN

    public static final short AFTER_BEGIN

  Event type signifying that a transaction has just begun.

### BEFORE_FLUSH

    public static final short BEFORE_FLUSH

  Event type signifying that changes are about to be flushed to the datastore. This does not necessarily mean that a commit is taking place.

### AFTER_FLUSH

    public static final short AFTER_FLUSH

  Event type signifying that changes have been flushed to the datastore. This event is only fired if flushing is successful.

### BEFORE_COMMIT

    public static final short BEFORE_COMMIT

  Event type signifying that the transaction is about to be committed. This will be fired before the `BEFORE_FLUSH` event for the transaction, so that you can differentiate between flushes for commits and other flushes.

### AFTER_COMMIT

    public static final short AFTER_COMMIT

  Event type signifying that the transaction has committed.

### AFTER_ROLLBACK

    public static final short AFTER_ROLLBACK

  Event type signifying that the transaction was rolled back.

### AFTER_STATE_TRANSITIONS

    public static final short AFTER_STATE_TRANSITIONS

  Event type signifying that all state transitions have been made.

Constructor Detail

### TransactionEvent

    public TransactionEvent(KodoPersistenceManager pm,
                            short type,
                            Collection trans,
                            Collection insertClasses,
                            Collection updateClasses,
                            Collection deleteClasses)

  Constructor.
  Parameters:
    `pm` - the event source
    `type` - the event type
    `trans` - transactional objects
    `insertClasses` - Inserted transactional classes
    `updateClasses` - Updated transactional classes
    `deleteClasses` - Deleted transactional classes

Method Detail

### getType

    public short getType()

  Return the type of event.

### getTransactionalObjects

    public Collection getTransactionalObjects()

  Return the unmodifiable set of persistence capable objects participating in the transaction.

### getAddedClasses

    public Collection getAddedClasses()

  Return the unmodifiable the set of classes of persistence capable objects that were created in the transaction.

### getUpdatedClasses

    public Collection getUpdatedClasses()

  Return the unmodifiable the set of classes of persistence capable objects that were modified in the transaction.

### getDeletedClasses

    public Collection getDeletedClasses()

  Return the unmodifiable the set of classes of persistence capable objects that were deleted in the transaction.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.4.1 generated on May 30 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.